Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Resource_Factory.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/Service_Object.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/SString.h"`
`#include "ace/CDR_Base.h"`

Include dependency graph for Resource_Factory.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Protocol_Item
class | TAO_Resource_Factory
| Factory which manufacturers resources for use by the ORB Core. More...
## Typedefs
typedef ACE_Unbounded_Set< TAO_Protocol_Item * > | TAO_ProtocolFactorySet
typedef ACE_Unbounded_Set_Iterator< TAO_Protocol_Item * > | TAO_ProtocolFactorySetItor

## Detailed Description

Id
  Resource_Factory.h,v 1.58 2006/01/20 16:34:33 sma Exp

Author:
  Chris Cleeland

  Carlos O'Ryan

## Typedef Documentation

typedef ACE_Unbounded_Set<TAO_Protocol_Item*> TAO_ProtocolFactorySet

typedef ACE_Unbounded_Set_Iterator<TAO_Protocol_Item*> TAO_ProtocolFactorySetItor